older series 60

Go down

older series 60

Post by Phatty on Sat May 19, 2018 7:24 pm

what is everyone using for older Detroits ? i have the nerwer 7 version but it wont read the older ones.

Phatty

Posts : 11
Registration date : 2018-03-19
Location : NH

Back to top Go down

Re: older series 60

Post by garymac107 on Sun May 20, 2018 9:03 pm

you need the 6.50 or older to get into 2007 or older engines

garymac107

Posts : 3
Registration date : 2018-04-28
Age : 51
Location : western Canada

Back to top Go down

Re: older series 60

Post by Phatty on Mon May 21, 2018 12:14 am

i have 6.3 and 7.08/6.47 but they wont install.

Phatty

Posts : 11
Registration date : 2018-03-19
Location : NH

Back to top Go down

Re: older series 60

Post by Sponsored content


Sponsored content


Back to top Go down

Back to top

- Similar topics

 
Permissions in this forum:
You cannot reply to topics in this forum